com.io7m.r2.core

## Class R2AttributeConventions

- java.lang.Object
- - com.io7m.r2.core.R2AttributeConventions

-     public final class R2AttributeConventions
      extends Object

  Vertex attribute conventions.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BATCHED_MODEL_MATRIX_COLUMN_0_ATTRIBUTE_INDEX` The attribute index used to deliver column 0 of the model matrix for batched instances.
    `static int` | `BATCHED_MODEL_MATRIX_COLUMN_1_ATTRIBUTE_INDEX` The attribute index used to deliver column 1 of the model matrix for batched instances.
    `static int` | `BATCHED_MODEL_MATRIX_COLUMN_2_ATTRIBUTE_INDEX` The attribute index used to deliver column 2 of the model matrix for batched instances.
    `static int` | `BATCHED_MODEL_MATRIX_COLUMN_3_ATTRIBUTE_INDEX` The attribute index used to deliver column 3 of the model matrix for batched instances.
    `static int` | `BILLBOARDED_ATTRIBUTE_ROTATION_INDEX` The attribute index used to deliver a scalar rotation value to billboarded instances.
    `static int` | `BILLBOARDED_ATTRIBUTE_SCALE_INDEX` The attribute index used to deliver a scalar scale value to billboarded instances.
    `static int` | `NORMAL_ATTRIBUTE_INDEX` The attribute index used to deliver surface normal data to shaders.
    `static int` | `POSITION_ATTRIBUTE_INDEX` The attribute index used to deliver position data to shaders.
    `static int` | `TANGENT4_ATTRIBUTE_INDEX` The attribute index used to deliver surface tangent4 data to shaders.
    `static int` | `UV_ATTRIBUTE_INDEX` The attribute index used to deliver UV data to shaders.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### POSITION_ATTRIBUTE_INDEX

          public static final int POSITION_ATTRIBUTE_INDEX

      The attribute index used to deliver position data to shaders.
      See Also:
        Constant Field Values

    - #### UV_ATTRIBUTE_INDEX

          public static final int UV_ATTRIBUTE_INDEX

      The attribute index used to deliver UV data to shaders.
      See Also:
        Constant Field Values

    - #### NORMAL_ATTRIBUTE_INDEX

          public static final int NORMAL_ATTRIBUTE_INDEX

      The attribute index used to deliver surface normal data to shaders.
      See Also:
        Constant Field Values

    - #### TANGENT4_ATTRIBUTE_INDEX

          public static final int TANGENT4_ATTRIBUTE_INDEX

      The attribute index used to deliver surface tangent4 data to shaders.
      See Also:
        Constant Field Values

    - #### BATCHED_MODEL_MATRIX_COLUMN_0_ATTRIBUTE_INDEX

          public static final int BATCHED_MODEL_MATRIX_COLUMN_0_ATTRIBUTE_INDEX

      The attribute index used to deliver column 0 of the model matrix for batched instances.
      See Also:
        Constant Field Values

    - #### BATCHED_MODEL_MATRIX_COLUMN_1_ATTRIBUTE_INDEX

          public static final int BATCHED_MODEL_MATRIX_COLUMN_1_ATTRIBUTE_INDEX

      The attribute index used to deliver column 1 of the model matrix for batched instances.
      See Also:
        Constant Field Values

    - #### BATCHED_MODEL_MATRIX_COLUMN_2_ATTRIBUTE_INDEX

          public static final int BATCHED_MODEL_MATRIX_COLUMN_2_ATTRIBUTE_INDEX

      The attribute index used to deliver column 2 of the model matrix for batched instances.
      See Also:
        Constant Field Values

    - #### BATCHED_MODEL_MATRIX_COLUMN_3_ATTRIBUTE_INDEX

          public static final int BATCHED_MODEL_MATRIX_COLUMN_3_ATTRIBUTE_INDEX

      The attribute index used to deliver column 3 of the model matrix for batched instances.
      See Also:
        Constant Field Values

    - #### BILLBOARDED_ATTRIBUTE_SCALE_INDEX

          public static final int BILLBOARDED_ATTRIBUTE_SCALE_INDEX

      The attribute index used to deliver a scalar scale value to billboarded instances.
      See Also:
        Constant Field Values

    - #### BILLBOARDED_ATTRIBUTE_ROTATION_INDEX

          public static final int BILLBOARDED_ATTRIBUTE_ROTATION_INDEX

      The attribute index used to deliver a scalar rotation value to billboarded instances.
      See Also:
        Constant Field Values

Copyright © 2016 <code@io7m.com> http://io7m.com